Subject: Re: linux-next: build failure in Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 15 Jun 2012 10:14:07 +1000

Hi Paul,

On Thu, 14 Jun 2012 12:40:36 +0900 Paul Mundt <[email-masked]> wrote:
>
> (adding Arnd to Cc, who I forgot to include previously)
> 
> On Thu, Jun 14, 2012 at 12:06:06PM +0900, Paul Mundt wrote:
> > On Thu, Jun 14, 2012 at 11:47:22AM +1000, Stephen Rothwell wrote:
> > > While building Linus' tree, today's linux-next build (powerpc
> > > ppc64_defconfig) failed like this:
> > > 
> > > In file included from include/asm-generic/bug.h:5:0,
> > >                  from arch/powerpc/include/asm/bug.h:127,
> > >                  from arch/powerpc/kernel/head_64.S:31:
> > > include/linux/kernel.h:44:0: warning: "ALIGN" redefined [enabled by default]
> > > include/linux/linkage.h:57:0: note: this is the location of the previous definition
> > > include/linux/sysinfo.h: Assembler messages:
> > > include/linux/sysinfo.h:7: Error: Unrecognized opcode: `struct'
> > > include/linux/sysinfo.h:8: Error: Unrecognized opcode: `__kernel_long_t'
> > > 
> > > And it went downhill from there :-(
> > > 
> > > Caused by commit 3777808873b0 ("bug.h: need linux/kernel.h for
> > > TAINT_WARN") which, unfortunately never made it into linux-next.
> > > 
> > > I have reverted that commit for today (which presumably means that sh
> > > builds will be broken again).
> > 
> > I'm still unsure as to the best way to fix this, and there was no
> > response to the original mail I posted about it either:
> > 
> > http://marc.info/?l=linux-kernel&m=133879579014853&w=2
> > 
> > I'll fetch a powerpc cross compiler and see if I can figure out what went
> > wrong.
> > 
> Ok, it's because the asm-generic/bug.h __ASSEMBLY__ guarding is
> completely bogus. This should hopefully fix it once and for all.
> Sorry for the trouble.
> 
> Signed-off-by: Paul Mundt <[email-masked]>

Tested-by: Stephen Rothwell <[email-masked]>

Can you create a proper commit message and send this to Linus, please?  I
have included it in my fixes tree in linux-next for today.

-- 
Cheers,
Stephen Rothwell                    [email-masked]